'use client';
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = exports.getReversedTimeMeridian = void 0;
var _setHours = _interopRequireDefault(require("date-fns/setHours"));
var _getHours = _interopRequireDefault(require("date-fns/getHours"));
/**
 * Get the time with AM and PM reversed.
 *
 * @param date - The date to reverse the time meridian.
 * @returns The date with the time meridian reversed.
 */
var getReversedTimeMeridian = function getReversedTimeMeridian(date) {
  var clonedDate = new Date(date.valueOf());
  var hours = (0, _getHours.default)(clonedDate);
  var nextHours = hours >= 12 ? hours - 12 : hours + 12;
  return (0, _setHours.default)(clonedDate, nextHours);
};
exports.getReversedTimeMeridian = getReversedTimeMeridian;
var _default = getReversedTimeMeridian;
exports.default = _default;